package routers

import (
	beego "github.com/beego/beego/v2/server/web"
	"github.com/beego/beego/v2/server/web/context/param"
)

func init() {

    beego.GlobalControllerRouter["oc-search/controllers:DetailsController"] = append(beego.GlobalControllerRouter["oc-search/controllers:DetailsController"],
        beego.ControllerComments{
            Method: "SubmitToWorkspace",
            Router: "/computing/:id",
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(
				param.New("id", param.InPath),
			),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["oc-search/controllers:DetailsController"] = append(beego.GlobalControllerRouter["oc-search/controllers:DetailsController"],
        beego.ControllerComments{
            Method: "GetElementInfo",
            Router: "/computing/:id",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(
				param.New("id", param.InPath),
			),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["oc-search/controllers:DetailsController"] = append(beego.GlobalControllerRouter["oc-search/controllers:DetailsController"],
        beego.ControllerComments{
            Method: "SubmitToWorkspace",
            Router: "/data/:id",
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(
				param.New("id", param.InPath),
			),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["oc-search/controllers:DetailsController"] = append(beego.GlobalControllerRouter["oc-search/controllers:DetailsController"],
        beego.ControllerComments{
            Method: "GetElementInfo",
            Router: "/data/:id",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(
				param.New("id", param.InPath),
			),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["oc-search/controllers:DetailsController"] = append(beego.GlobalControllerRouter["oc-search/controllers:DetailsController"],
        beego.ControllerComments{
            Method: "SubmitToWorkspace",
            Router: "/datacenter/:id",
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(
				param.New("id", param.InPath),
			),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["oc-search/controllers:DetailsController"] = append(beego.GlobalControllerRouter["oc-search/controllers:DetailsController"],
        beego.ControllerComments{
            Method: "GetElementInfo",
            Router: "/datacenter/:id",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(
				param.New("id", param.InPath),
			),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["oc-search/controllers:DetailsController"] = append(beego.GlobalControllerRouter["oc-search/controllers:DetailsController"],
        beego.ControllerComments{
            Method: "SubmitToWorkspace",
            Router: "/storage/:id",
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(
				param.New("id", param.InPath),
			),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["oc-search/controllers:DetailsController"] = append(beego.GlobalControllerRouter["oc-search/controllers:DetailsController"],
        beego.ControllerComments{
            Method: "GetElementInfo",
            Router: "/storage/:id",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(
				param.New("id", param.InPath),
			),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["oc-search/controllers:WorkspaceController"] = append(beego.GlobalControllerRouter["oc-search/controllers:WorkspaceController"],
        beego.ControllerComments{
            Method: "GetWorkspace",
            Router: "/",
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

}
